[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoFixDesignFontPPI

Applies the design-time PPI and resizes the specified control font.

## Declaration

Source position: controls.pp line 1560

`protected procedure TControl.DoFixDesignFontPPI(`
`const AFont: TFont;`
`const ADesignTimePPI: Integer`
`);`

## Arguments

`AFont` |  | TFont instance updated in the method.
`ADesignTimePPI` |  | Design-time display density to which the font height is adjusted.

## Description

Implements the FixDesignFontsPPI method for the control.

Performs actions needed to restore the design-time PPI (Pixels Per Inch) for controls when they are loaded using the LCL component streaming mechanism. The design-time PPI for fonts is not stored in .LFM files, and could result in invalid scaling operations when loaded on a machine with a different display density. DoFixDesignFontPPI ensures that the font is resized to the specified design-time PPI.

## See also

TControl.FixDesignFontsPPI |  | Corrects the font size for High-DPI-aware applications.